! The locus of the point z^2 with z moving on the circle of center 1 , radius 1.
OPTION ARITHMETIC COMPLEX
OPTION ANGLE DEGREES
SET WINDOW -2,6,-4,4
DRAW AXES
SET POINT STYLE 1
FOR t=0 TO 360 STEP 0.5
   LET z=1+COMPLEX(COS(T),SIN(T))
   SET POINT COLOR 3  !green
   PLOT POINTS:RE(z),IM(z)
   LET w=z^2
   SET POINT COLOR 2  !blue
   PLOT POINTS:RE(w),IM(w)
NEXT t
END
